/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from manageriface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __MANAGERIFACE_STUB__
#define __MANAGERIFACE_STUB__

#include <dcopstub.h>
#include <dcopobject.h>

namespace KRES {

class KRESOURCES_EXPORT ManagerIface_stub : virtual public DCOPStub
{
public:
    ManagerIface_stub( const QCString& app, const QCString& id );
    ManagerIface_stub( DCOPClient* client, const QCString& app, const QCString& id );
    explicit ManagerIface_stub( const DCOPRef& ref );
    virtual ASYNC dcopKResourceAdded( QString managerId, QString resourceId );
    virtual ASYNC dcopKResourceModified( QString managerId, QString resourceId );
    virtual ASYNC dcopKResourceDeleted( QString managerId, QString resourceId );
protected:
    ManagerIface_stub() : DCOPStub( never_use ) {}
};

} // namespace

#endif
